Name: armacycles-ad
Version: 0.2.8.2.1
Release: 5%{?dist}
Summary: A lightcycle game in 3D

Group: Amusements/Games
License: GPLv2+
URL: http://armagetronad.sf.net
Source0: http://downloads.sourceforge.net/armagetronad/armagetronad-0.2.8.2.1.src.tar.bz2
Source1: armacycles-logo.jpg
Source2: armacycles-ad.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libxml2-devel >= 2.6.12, SDL_image-devel, SDL_mixer-devel
BuildRequires: libpng-devel, desktop-file-utils
Requires: libxml2 >= 2.6.12, hicolor-icon-theme

%description
In this game you ride a lightcycle; that is a sort of motorbike that
cannot be stopped and leaves a wall behind it. The main goal of the game
is to make your opponents' lightcycles crash into a wall while avoiding
the same fate.
The focus of the game lies on the multiplayer mode, but it provides
challanging AI opponents for a quick training match.


#dedicated server specification
%package dedicated
Summary: Dedicated server for Armacycles Advanced
Group: Amusements/Games
requires: libxml2 >= 2.6.12

%Description dedicated
This is a special lightweight server for Armacycles Advanced; it can
be run on a low-spec machine and await connections from
the internet and/or the LAN.


%prep
%setup -qn armagetronad-0.2.8.2.1
#insert modified logo
cp %{SOURCE1} textures/title.jpg
# remove krawall logo
rm -f armagetronad-0.2.8.2.1/textures/KGN*


%build
configure_flags="--disable-sysinstall --disable-games --disable-uninstall"

export progtitle="Armacycles Advanced"
export progname=armacyclesad

mkdir -p bindist
pushd bindist
# <sigh> %%configure really should support this in an easier way
echo -e '#!/bin/bash\nexec ../configure "$@"\n' > configure
chmod +x configure
%configure $configure_flags
make %{?_smp_mflags}
popd

mkdir -p bindist-dedicated
pushd bindist-dedicated
cp -a ../bindist/configure .
%configure $configure_flags --disable-glout
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT

pushd bindist
# uninstall_location=foobar works around a bug triggered by --disable-uninstall
make install DESTDIR=$RPM_BUILD_ROOT uninstall_location=foobar
rm -r $RPM_BUILD_ROOT%{_datadir}/armacyclesad/desktop
popd

pushd bindist-dedicated
make install DESTDIR=$RPM_BUILD_ROOT uninstall_location=foobar
rm -r $RPM_BUILD_ROOT%{_datadir}/armacyclesad-dedicated/desktop
popd

# Install icons and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 desktop/icons/small/armagetronad.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
install -p -m 644 desktop/icons/large/armagetronad.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 desktop/icons/large/armagetronad.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE2}

#remove extraneous scripts
rm -f $RPM_BUILD_ROOT%{_datadir}/armacyclesad/scripts/relocate
rm -f $RPM_BUILD_ROOT%{_datadir}/armacyclesad/language/update.py

rm -f $RPM_BUILD_ROOT%{_datadir}/armacyclesad-dedicated/scripts/relocate
rm -f $RPM_BUILD_ROOT%{_datadir}/armacyclesad-dedicated/scripts/rcd_config
rm -f $RPM_BUILD_ROOT%{_datadir}/armacyclesad-dedicated/scripts/rcd_startstop
rm -f $RPM_BUILD_ROOT%{_datadir}/armacyclesad-dedicated/language/update.py

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%doc %{_datadir}/doc/armacyclesad
%config(noreplace) /etc/armacyclesad
%{_bindir}/armacyclesad
%{_datadir}/armacyclesad
%{_datadir}/applications/fedora-armacycles-ad.desktop
%{_datadir}/icons/hicolor/*/apps/armagetronad.png

%files dedicated
%defattr(-,root,root)
%doc %{_datadir}/doc/armacyclesad-dedicated
%config(noreplace) /etc/armacyclesad-dedicated
%{_bindir}/armacyclesad-dedicated
%{_datadir}/armacyclesad-dedicated


%changelog
* Fri Aug 31 2007 Jon Ciesla <limb@jcomserv.net> - 0.2.8.2.1-5
- Dropped extraneous script.
- Removed .desktop version, Application category.

* Thu Aug 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> - 0.2.8.2.1-4
- Use %%configure instead of calling Configure ourselves, this fixes the
  configuration files being put in /usr/etc (now in /etc)
- Wrap all lines > 80 chars
- Use URL for Source0
- Install all size icons
- Fix dedicated package Summary (CycleWeasel > Armacycles Ad)
- Don't use strange x.final.y release field, for final versions normal
  release fields should be used
- Add --disable-uninstall to %%configure flags, people should use yum / pirut
  to uninstall packages, not some upstream provided script
- Remove unused /usr/share/armacyclesad-dedicated/desktop dir
- Replace SDL_mixer, SDL_image, libpng BuildRequires by their -devel parts

* Tue Aug 14 2007 Jon Ciesla <limb@jcomserv.net> - 0.2.8.2.1-1.final.3
- Multiple review fixes.

* Thu Aug 09 2007 Jon Ciesla <limb@jcomserv.net> - 0.2.8.2.1-1.final.2
- Added desktop file and icon, fixed summary.

* Mon Jul 16 2007 Jon Ciesla <limb@jcomserv.net> - 0.2.8.2.1-1.final.1
- Initial package, based on upstream spec.
